# -*- coding:utf-8 -*-

from pycate.model.catalog_model import MCatalog
from pycate.core import base_handler
import config

class WidgetHandler(base_handler.PycateBaseHandler):
    def initialize(self, hinfo=''):
        self.init_condition(config.mongo_collection_name)
        self.mcat = MCatalog()

    def get(self, input=''):
        if input == 'loginfo':
            self.loginfo()

    def loginfo(self):
        if self.get_secure_cookie("user"):
            self.render('{0}/widget/loginfo.html'.format(self.template_dir_name),
                        username=self.get_secure_cookie("user"))
        else:
            self.render('{0}/widget/tologinfo.html'.format(self.template_dir_name),
                        )
