#!/usr/bin/env python

from setuptools import setup, find_packages

setup(
    name='pycate',
    version='0.1.6',
    keywords=('pycate', 'tornado'),
    description='Classified website program based on Python 3, Tornado and torlite.',
    license='MIT License',

    url='https://github.com/bukun/pycate',
    author='bukun',
    author_email='bukun@osgeo.cn',

    packages=find_packages(),
    include_package_data=True,
    platforms='any',
    zip_safe=True,
    install_requires=['torlite', 'pymongo'],

    classifiers=[
        'Development Status :: 3 - Alpha',

        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',

        'License :: OSI Approved :: MIT License',


        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
)
